Authentication
Authenticationlink
POST
/v1/auth/registerRegister
lock
Requires Bearer token authentication.
Request body
application/json{
"name": "John Doe",
"email": "john@example.com",
"password": "Password123"
}Responses
Successful response
nullboltTry it
env
POST
https://api.example.com/v1/v1/auth/registerRequest body
Code samples
curl -X POST 'https://api.example.com/v1/v1/auth/register' \
-H 'Content-Type: application/json' \
--data-raw '{
"name": "John Doe",
"email": "john@example.com",
"password": "Password123"
}'POST
/v1/auth/loginLogin
lock
Requires Bearer token authentication.
Request body
application/json{
"email": "john@example.com",
"password": "Password123"
}Responses
Successful response
nullboltTry it
env
POST
https://api.example.com/v1/v1/auth/loginRequest body
Code samples
curl -X POST 'https://api.example.com/v1/v1/auth/login' \
-H 'Content-Type: application/json' \
--data-raw '{
"email": "john@example.com",
"password": "Password123"
}'POST
/v1/auth/refreshRefresh Token
lock
Requires Bearer token authentication.
Responses
Successful response
nullboltTry it
env
POST
https://api.example.com/v1/v1/auth/refreshRequest body
Code samples
curl -X POST 'https://api.example.com/v1/v1/auth/refresh'POST
/v1/auth/logoutLogout
lock
Requires Bearer token authentication.
Responses
Successful response
nullboltTry it
env
POST
https://api.example.com/v1/v1/auth/logoutRequest body
Code samples
curl -X POST 'https://api.example.com/v1/v1/auth/logout'